libvisio::VSDPages Class Reference

`#include <VSDPages.h>`

## Public Member Functions

| VSDPages ()
| ~VSDPages ()
void | addPage (const VSDPage &page)
void | addBackgroundPage (const VSDPage &page)
void | draw (librevenge::RVNGDrawingInterface *painter)
void | setMetaData (const librevenge::RVNGPropertyList &metaData)

## Private Member Functions

void | _drawWithBackground (librevenge::RVNGDrawingInterface *painter, const VSDPage &page)

## Private Attributes

std::vector< VSDPage > | m_pages
std::map< unsigned, VSDPage > | m_backgroundPages
librevenge::RVNGPropertyList | m_metaData

## Constructor & Destructor Documentation

## VSDPages()

libvisio::VSDPages::VSDPages | ( |  | ) |

## ~VSDPages()

libvisio::VSDPages::~VSDPages | ( |  | ) |

## Member Function Documentation

## _drawWithBackground()

void libvisio::VSDPages::_drawWithBackground | ( | librevenge::RVNGDrawingInterface * | painter,
|  | const VSDPage & | page )

private

Referenced by _drawWithBackground(), and draw().

## addBackgroundPage()

void libvisio::VSDPages::addBackgroundPage | ( | const VSDPage & | page | ) |

## addPage()

void libvisio::VSDPages::addPage | ( | const VSDPage & | page | ) |

## draw()

void libvisio::VSDPages::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) |

## setMetaData()

void libvisio::VSDPages::setMetaData | ( | const librevenge::RVNGPropertyList & | metaData | ) |

## Member Data Documentation

## m_backgroundPages

std::map<unsigned, VSDPage> libvisio::VSDPages::m_backgroundPages

private

Referenced by _drawWithBackground(), addBackgroundPage(), draw(), and VSDPages().

## m_metaData

librevenge::RVNGPropertyList libvisio::VSDPages::m_metaData

private

Referenced by draw(), setMetaData(), and VSDPages().

## m_pages

std::vector<VSDPage> libvisio::VSDPages::m_pages

private

Referenced by addPage(), draw(), and VSDPages().

The documentation for this class was generated from the following files:

- VSDPages.h
- VSDPages.cpp